X2Go Bug report logs - #399
wrong keyboard layout due to missing xkb rules file

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: "Giuseppe Barichello" <beppuz@gmx.com>

Date: Sat, 11 Jan 2014 07:40:02 UTC

Severity: important

Tags: pending

Merged with 40

Found in versions 3.5.0.22, 3.5.0.15

Fixed in versions 3.5.0.25, 2:3.5.0.25

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org:
Bug#399; Package x2goagent severity: important version: 3.5.0.22 system: debian testing x2go repos: deb http://packages.x2go.org/debian jessie main after last packages upgrades (debian testing) i began having problems with keyboard layout. the configuration falled back to "us", while my client is configured as "it". looking into session logs i found a warning about being unable to stat file /usr/local/lib/nx/x11/xbd/rules/xorg. indeed there is no "nx" directory under /usr/local/lib in my system. i fixed with: mkdir /usr/local/lib/nx ln -s /usr/share/x11 /usr/local/lib/nx/x11 i don't know if this is correct. i suspect a bug in latest packages.... (Sat, 11 Jan 2014 07:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Giuseppe Barichello" <beppuz@gmx.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>, owner@bugs.x2go.org. (Sat, 11 Jan 2014 07:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Giuseppe Barichello" <beppuz@gmx.com>
To: submit@bugs.x2go.org
Subject: Fw: [X2Go-User] wrong keyboard layout
Date: Sat, 11 Jan 2014 08:26:01 +0100
[Message part 1 (text/plain, inline)]
Package: x2goagent Severity: important Version: 3.5.0.22 System: Debian testing x2go repos: deb http://packages.x2go.org/debian jessie main After last packages upgrades (debian testing) I began having problems with keyboard layout. The configuration falled back to "us", while my client is configured as "it". Looking into session logs I found a warning about being unable to stat file /usr/local/lib/nx/X11/xbd/rules/xorg. Indeed there is no "nx" directory under /usr/local/lib in my system. I fixed with: mkdir /usr/local/lib/nx ln -s /usr/share/X11 /usr/local/lib/nx/X11 I don't know if this is correct. I suspect a bug in latest packages...
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, attachment)]
[Message part 4 (text/plain, inline)]
_______________________________________________
X2Go-User mailing list
X2Go-User@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-user

Bug reassigned from package 'x2goagent severity: important version: 3.5.0.22 system: debian testing x2go repos: deb <a href="http://packages.x2go.org/debian">http://packages.x2go.org/debian</a> jessie main after last packages upgrades (debian testing) i began having problems with keyboard layout. the configuration falled back to &quot;us&quot;, while my client is configured as &quot;it&quot;. looking into session logs i found a warning about being unable to stat file /usr/local/lib/nx/x11/xbd/rules/xorg. indeed there is no &quot;nx&quot; directory under /usr/local/lib in my system. i fixed with: mkdir /usr/local/lib/nx ln -s /usr/share/x11 /usr/local/lib/nx/x11 i don&#39;t know if this is correct. i suspect a bug in latest packages...' to 'x2goagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 15:55:02 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 15:55:02 GMT) (full text, mbox, link).


Changed Bug title to 'wrong keyboard layout due to missing xkb rules file' from 'Fw: [X2Go-User] wrong keyboard layout' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 15:55:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#399; Package x2goagent. (Mon, 12 May 2014 15:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 27 Jun 2014 00:05:02 GMT) (full text, mbox, link).


Message #16 received at 399@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 399@bugs.x2go.org
Cc: 399-submitter@bugs.x2go.org
Subject: Duplicate of #40, pending for release
Date: Fri, 27 Jun 2014 00:01:34 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 pending
Control: fixed -1 3.5.0.25
Control: merge #40 -1

Hi Giuseppe,

you sometime ago files bug #399 [1] on the X2Go bug tracker. I just  
realized that this is a duplicate of #40 [2] which recently got fixed  
in the development code of nx-libs (not yet released) [3].

Mike

[1] http://bugs.x2go.org/399
[2] http://bugs.x2go.org/40
[3]  
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=75987a76f0b9a3a011ab7d703b5b2fe60c146af6
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 00:05:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 00:05:02 GMT) (full text, mbox, link).


Message sent on to "Giuseppe Barichello" <beppuz@gmx.com>:
Bug#399. (Fri, 27 Jun 2014 00:05:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#399; Package x2goagent. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Message #28 received at 399@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 399@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#399: Duplicate of #40, pending for release
Date: Fri, 27 Jun 2014 10:50:48 +0000
[Message part 1 (text/plain, inline)]
Control: severity -1 important
Control: fixed -1 3.5.0.25
Control: merge #40 -1

try once more to merge #40 and #399...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.15. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Merged 399 40 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Jun 2014 12:25:12 GMT) (full text, mbox, link).


Notification sent to "Giuseppe Barichello" <beppuz@gmx.com>:
Bug acknowledged by developer. (Mon, 30 Jun 2014 12:25:12 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Jul 2014 05:24:02 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 19:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:20:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 05:08:01 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.